Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.service.impl
Class GenAsyncServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.service.impl.GenAsyncServiceImpl

All Implemented Interfaces:
  GenAsyncService, ConfigurationModuleBootstrap.ModuleBootstrapHook, ConfigurableImplementation

Direct Known Subclasses:
  ServiceFactory

    public class GenAsyncServiceImpl

extends Object
implements GenAsyncService, ConfigurationModuleBootstrap.ModuleBootstrapHook, ConfigurableImplementation

Implementation for the `GenAsyncService` interface

Field Summary
`static String` | `GENASYNC_XSD_V1`
`static String` | `GENASYNC_XSD_V1_3`
`static String` | `GENASYNC_XSD_V1_5`
`static String` | `SERVICE_NAME` Initialize parameter for `ConfigurableImplementation` Object: `String` Required: true
`static String` | `SESSION_VALIDATOR` Initialize parameter for `ConfigurableImplementation` Object: `SessionValidator` Required: true

Constructor Summary
`GenAsyncServiceImpl()` only to be used by ServiceFactory.
`GenAsyncServiceImpl(SessionValidator sessionValidator, String serviceName)` Deprecated. use be.ehealth.businessconnector.genericasync.service.ServiceFactory.getGenAsyncService(servicename,sessionvalidator) instead.

Method Summary
`void` | `bootstrap()`
`ConfirmResponse` | `confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header)` Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
`GetResponse` | `getRequest(SAMLToken token, Get request, WsAddressingHeader header)` Returns the `Responses` from the post previously sent.
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.
`PostResponse` | `postRequest(SAMLToken token, Post request, WsAddressingHeader header)` Returns the `TAck` of the request of an operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static final String SERVICE_NAME

  Initialize parameter for `ConfigurableImplementation` Object: `String` Required: true

  See Also:
    Constant Field Values

### SESSION_VALIDATOR

    public static final String SESSION_VALIDATOR

  Initialize parameter for `ConfigurableImplementation` Object: `SessionValidator` Required: true

  See Also:
    Constant Field Values

### GENASYNC_XSD_V1_5

    public static final String GENASYNC_XSD_V1_5

See Also:
  Constant Field Values

### GENASYNC_XSD_V1_3

    public static final String GENASYNC_XSD_V1_3

See Also:
  Constant Field Values

### GENASYNC_XSD_V1

    public static final String GENASYNC_XSD_V1

See Also:
  Constant Field Values

Constructor Detail

### GenAsyncServiceImpl

    public GenAsyncServiceImpl()

  only to be used by ServiceFactory.

### GenAsyncServiceImpl

    @Deprecated
    public GenAsyncServiceImpl(SessionValidator sessionValidator,
                                          String serviceName)

  Deprecated. use be.ehealth.businessconnector.genericasync.service.ServiceFactory.getGenAsyncService(servicename,sessionvalidator) instead.

  Parameters:
    `sessionValidator` -
    `serviceName` -

Method Detail

### postRequest

    public PostResponse postRequest(SAMLToken token,
                                    Post request,
                                    WsAddressingHeader header)
                             throws GenAsyncBusinessConnectorException

  Description copied from interface: `GenAsyncService`
  Returns the `TAck` of the request of an operation. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `postRequest` in interface `GenAsyncService`
    `request` - the request
  Returns:
    TAck the WS response
  Throws:
    `GenAsyncBusinessConnectorException`

### getRequest

    public GetResponse getRequest(SAMLToken token,
                                  Get request,
                                  WsAddressingHeader header)
                           throws GenAsyncBusinessConnectorException,
                                  TechnicalConnectorException

  Description copied from interface: `GenAsyncService`
  Returns the `Responses` from the post previously sent. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `getRequest` in interface `GenAsyncService`
    `request` - the request
  Returns:
    Responses
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`

### confirmRequest

    public ConfirmResponse confirmRequest(SAMLToken token,
                                          Confirm request,
                                          WsAddressingHeader header)
                                   throws GenAsyncBusinessConnectorException,
                                          TechnicalConnectorException

  Description copied from interface: `GenAsyncService`
  Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active

  Specified by:
    `confirmRequest` in interface `GenAsyncService`
    `request` - the request
  Returns:
    The response
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.